### Method

# GSSDP Client get_tcp_socket

since: 1.6.5

#### Declaration [src]

    GSocket*
    gssdp_client_get_tcp_socket (
      GSSDPClient* client
    )

#### Description [src]

Get the associated TCP socket.

Available since: 1.6.5

Gets property | `GSSDP.Client:tcp-socket`

#### Return value

Type: `GSocket`

A bound TCP socket.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.